Page MenuHomePhabricator

Support VisualEditor rollout with research and analyses
Closed, ResolvedPublic160 Story Points

Description

Before 2015-04-21: An umbrella task for all VE-related things done by the Strategic Research team in March−April 2015.

After 2015-04-21: An umbrella task for all VE-related research in April−June 2015.

Event Timeline

gpaumier created this task.Mar 20 2015, 6:29 PM
gpaumier updated the task description. (Show Details)
gpaumier raised the priority of this task from to High.
gpaumier added subscribers: gpaumier, Ironholds, Tbayer.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 6:29 PM
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.

Should T89970 be considered a blocker for this?

Is it something that Product and Strategy depend on existing to do the work? ;)

Should T89970 be considered a blocker for this?

I originally created the task with a more limited scope in mind (i.e. only what Oliver, Tilman and I would be doing) but I have no objections to expanding the scope to cover all research-type support for VE from multiple teams. I actually think it would make a lot of sense. We just need to add the appropriate projects and tweak the description.

I don't know. That's why I'm asking.

Being able to get quick, big-picture feedback from actual users, and especially being able to compare that feedback based on which editing environment is being used (and other things, like the user's experience level) is a good way to support the rollout with research and analysis. But it's not the only possible way.

That sounds like qualitative rather than quantitative work - which is valuable but...Guillaume, is this the sort of thing you'll be working on?

That sounds like qualitative rather than quantitative work - which is valuable but...Guillaume, is this the sort of thing you'll be working on?

Not as far as I currently know :)

Elitre added a subscriber: Elitre.Mar 25 2015, 7:39 PM
gpaumier updated the task description. (Show Details)Mar 25 2015, 9:25 PM
gpaumier set Security to None.

Does list-making fall into this scope? See T96323 for the latest copy on behalf of TemplateData.

Probably, but I'll note that the database doesn't actually know templatedata exists, so I'll be damned if I know how to indicate if it's present or not :/.

Isn't it in the page_props table?

Yep; you're right!

Now to handle joining page, templatelinks and page_props. Argh.

gpaumier updated the task description. (Show Details)Apr 22 2015, 5:58 PM
gpaumier claimed this task.
gpaumier added a project: VisualEditor.
gpaumier moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF closed this task as Resolved.